Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153238 - Read-only lvm2 commands can fail with read-only /etc.
Summary: Read-only lvm2 commands can fail with read-only /etc.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On: 153215
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-03 21:27 UTC by Ronny Buchmann
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 13:29:56 UTC


Attachments (Terms of Use)

Description Ronny Buchmann 2005-04-03 21:27:49 UTC
+++ This bug was initially created as a clone of Bug #153215 +++

I don't know if cloning is the best way to handle this issue, but please see bug
#153215 for the details.

Comment 1 Alasdair Kergon 2005-04-04 16:39:20 UTC
if lvm2 can't write to /etc, but you're running a *read-only* lvm2
command, it shouldn't fail.  It does - and -An has no effect.  The code that
creates the backup and archive directories need moving and refining.

Comment 2 Alasdair Kergon 2005-05-04 13:29:56 UTC
Should be fixed in 2.01.08-2.1


Note You need to log in before you can comment on or make changes to this bug.